#include <iostream>
#include <unordered_set>
#include <algorithm>

using namespace std;

bool isPrime(int n) {
	if (n == 1) return false;

	for (int i = 2; i <= sqrt(n); i++) {
		if (n % i == 0) return false;
	}

	return true;
}

int main() {
	unordered_set<int> primeNumbers;

	for (int i = 1; i <= 1000; i++) {
		if (isPrime(i)) primeNumbers.insert(i);
	}

	for (int i = 0; i < primeNumbers.bucket_count(); i++) {
		int bucket = primeNumbers.bucket(i);
		auto data = primeNumbers.find(bucket);

		cout << "Bucket " << i << " contains: ";

		if (data != primeNumbers.end()) {
			cout << *data;
		}

		cout << endl;
	}

	return 0;
}